Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.buybeans.item
Class ShippingMethodLoaderServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--examples.buybeans.item.ShippingMethodLoaderServlet

public class ShippingMethodLoaderServlet
extends javax.servlet.http.HttpServlet
implements javax.servlet.SingleThreadModel

See Also:
  Serialized Form

Constructor Summary
`ShippingMethodLoaderServlet()`

Method Summary
`void` | `init(javax.servlet.ServletConfig config)` Servlet initializer.
`void` | `service(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` HTTP request service handler.
`void` | `usage(java.io.PrintWriter out)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShippingMethodLoaderServlet

    public ShippingMethodLoaderServlet()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Servlet initializer.
  Overrides:
    init in class javax.servlet.GenericServlet
  Parameters:
    `config` - Servlet Configuration
  See Also:
    `ShippingMethodLoader`

### service

    public void service(javax.servlet.http.HttpServletRequest req,
                        javax.servlet.http.HttpServletResponse res)
                 throws java.io.IOException

  HTTP request service handler.
  Overrides:
    service in class javax.servlet.http.HttpServlet
  Parameters:
    `req` - HTTP request object
    `res` - HTTP response object
  See Also:
    `ShippingMethodLoader`

### usage

    public void usage(java.io.PrintWriter out)

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.